#include <stdio.h>
#include <math.h>

int main()
{
	int N,M;
	int i,j,k;
	scanf("%d", &N);
	scanf("%d", &M);
	int a[N];
	int x[M], y[M];
	for(i=0;i<N;i++)
	{
		scanf("%d", &a[i]);
	}
	for(i=0;i<M;i++)
	{
			scanf("%d", &x[i]);
			scanf("%d", &y[i]);
			
	}
	
	int s=0;
	
	for(i=0;i<N;i++)
	{
		for(j=0;j<M;j++)
			if(i+1==x[j] || i+1==y[j])
			{
				s=s+ a[i];
			}
	}
	if(s>=0)
		printf("%d", s);
	else
		{
			s= -s;
			printf("%d", s);
		}
	return 0;
}